Description

Imagine:
1.) You install an oldschool extension as comments
2.) You insert the plugin and use the extension as you did it always
3.) You create your own template for the extension with fluid and not with the oldschool .html ###MARKER_BASED###
4.) The TYPO3 built in ###TEMPLATE-CLASS### recognizes the fluid template and instead of replacing markers it collects the
marker and suppart data to assign it to the template:
- You get all supparts as an array containing the markers of that supparts as an array
- You get the markers as an array
- You can use them and list them within your fluid extensions
5.) You don't have to change a single line within the comments pi1 php code

How:
- makeitfluid extension xclasses the TYPO3 Template classes, checks if it is fluid or HTML and just uses the regular templating if it's
HTML
- it just tries to collect the data and parse the template as fluid if it is fluid :-)
- the extension would need some very special index to remember which subparts and markers belong to which fluid template, and it
will be quite difficult to asure that the extension gets the correct HTML code in every constellation
- the makeitfluid extension does everything in the background so no extension has to be changed at all, also fluid or the core don't
need any changes :-P

Why:
- Fluid puts the need to change PHP aside in moste cases!
- If you have a fluid template you can perfectly customize and exten existing extensions without any modfication to it selfe.
- You could easily load the commerce module to show a product within an mm_forum post wihtout change the PHP code of one of
those extensions!!!
- A lot of oldschool extensions are great, but their templating sucks....

This is of course not something to be put directly into the FLUID extension, but it's a connector extension and maybe you are
interessted in such a solution...

History
#1 - 2010-09-16 16:11 - Bastian Waidelich
- Tracker changed from Story to Feature

#2 - 2010-09-16 16:12 - Bastian Waidelich

Note: This is not a Story (as in Scrum) so I moved this issue to the Feature tracker

#3 - 2010-09-29 22:24 - Bastian Waidelich
- Category deleted (Core)
I think, this is a pretty interesting idea. But I doubt, that it's doable as some extensions (e.g. tt_news) actually parse their template in order to check for
the existence of specific markers.
How would you expect a tt_news fluid template to look like?

#4 - 2011-05-06 10:33 - Sebastian Kurfuerst
- Status changed from New to Closed

closing because of missing feedback.
